some 0.9.4 work on website